Campaigns Information
http
GET /api/advert/v2/advertsBase URL: https://advert-api.wildberries.ru · Module: promotion · Section: Campaigns · Specification doc ↗
The deprecated method will be disabled on 10 January.
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 s | 5 requests | 200 ms | 5 requests |
| Service | 1 s | 5 requests | 200 ms | 5 requests |
| Base with secret | 1 s | 5 requests | 200 ms | 5 requests |
| Base | 1 h | 1 request | 1 h | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
ids | query | string | no | Campaign IDs, maximum 50 |
statuses | query | string | no | Campaign statuses: - -1 — deleted, the deletion process will be completed within 10 minutes - 4 — ready to be launched - 7 — completed - 8 — declined - 9 — active - 11 — paused |
payment_type | query | string | no | Payment type: - cpm — cost per mille - cpc — cost per click |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | GetAdverts |
400 | Bad request | response400 |
401 | Unauthorized | object |
403 | Access denied | object |
429 | Too many requests | object |
Structure 200:
advertsobject[]— Campaignsbid_typestring— Bid type: -unified— standard bid -manual— custom bidcurrencystring<ISO 4217>— Currency of the seller account currencyidinteger<int64>— Campaign IDnm_settingsAdvertNMsSettings[]— Item settingsbids_kopecksAdvertBidsKopeckssearchinteger<int64>— Bid in searchrecommendationsinteger<int64>— Bid in recommendations
subjectAdvertSubcategoryidinteger<int64>— Subcategory IDnamestring— Subcategory name
nm_idinteger<int64>— WB item number
settingsAdvertSettingspayment_typestring— Payment type: -cpm— cost per mille -cpc— cost per clicknamestring— Campaign nameplacementsobject— Placementssearchboolean— Placement in search: -false— disabled -true— enabledrecommendationsboolean— Placement in recommendations: -false— disabled -true— enabled
restrictionsobject— Campaign restrictionscan_change_nmsboolean— Can the list of campaign items be changed: -true— yes -false— no
statusinteger<int64>=-1|4|7|8|9|11— Campaign status: --1— deleted, the deletion process will be completed within 10 minutes -4— ready to be launched -7— completed -8— declined -9— active -11— campaign is pausedtimestampsTimestampsV2createdstring— Campaign create timeupdatedstring— Campaign last update timestartedstring— Campaign launch time
Structure 400:
detailstring— Error detailsoriginstring— WB internal service IDrequest_idstring— Unique request IDstatusinteger<int64>— HTTP status codetitlestring— Error title
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi
cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))
result = api.get_v2_adverts(ids=..., statuses=..., payment_type=...)
print(result)ts
import {
Configuration,
PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);
const { data } = await api.getV2Adverts(ids, statuses, paymentType);
console.log(data);go
import (
"context"
"fmt"
wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)
cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)
result, _, err := client.PromotionAPI.GetV2Adverts(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);
System.out.println(api.getV2Adverts(ids, statuses, paymentType));php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);
print_r($api->getV2Adverts());bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);
Сообщить(Клиент.GetV2Adverts().Тело);csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);
Console.WriteLine(api.GetV2Adverts());rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = promotion_api::get_v2_adverts(&cfg, ids, statuses, payment_type).await;
println!("{:#?}", result);
}